Bug 30816 - swap partitions not creating extended scheme
swap partitions not creating extended scheme
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-03-06 11:02 EST by John A. Hull
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-09 18:21:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John A. Hull 2001-03-06 11:02:13 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT 5.0; DigExt)


Setting up swap partitions in rc2 does not create an extended partition at 
sda5, it will only go to sda4.
A linux native partition must be put in to force an extended partitioning 
scheme on that drive. 

Reproducible: Always
Steps to Reproduce:
1. add 3 swap partitions on one drive
2. the fourth will not go into extended mode, it will be primary
3. no more partitions can be made
	

Actual Results:  No more partitions could be made

Expected Results:  Ability to make more partitions
Comment 1 Glen Foster 2001-03-06 16:14:05 EST
We (Red Hat) should really try to fix this before next release.
Comment 2 Michael Fulbright 2001-03-07 18:28:02 EST
Brent please verify this behavior.
Comment 3 Brent Fox 2001-03-08 11:12:23 EST
Verified this behavior.  Thanks for your report.
Comment 4 Michael Fulbright 2001-03-09 18:21:05 EST
Fixed in internal tree.

Note You need to log in before you can comment on or make changes to this bug.